com.streambase.sb.monitor

## Enum StatsUtil.StatEncoder.KeyType

- java.lang.Object
- - java.lang.Enum<StatsUtil.StatEncoder.KeyType>
  - - com.streambase.sb.monitor.StatsUtil.StatEncoder.KeyType

- All Implemented Interfaces:
    Serializable, Comparable<StatsUtil.StatEncoder.KeyType>
  Enclosing class:
    StatsUtil.StatEncoder

      protected static enum StatsUtil.StatEncoder.KeyType
      extends Enum<StatsUtil.StatEncoder.KeyType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INT`
    `INT_ARRAY`
    `LONG`
    `LONG_ARRAY`
    `STRING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatsUtil.StatEncoder.KeyType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatsUtil.StatEncoder.KeyType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### INT

          public static final StatsUtil.StatEncoder.KeyType INT

    - #### LONG

          public static final StatsUtil.StatEncoder.KeyType LONG

    - #### STRING

          public static final StatsUtil.StatEncoder.KeyType STRING

    - #### LONG_ARRAY

          public static final StatsUtil.StatEncoder.KeyType LONG_ARRAY

    - #### INT_ARRAY

          public static final StatsUtil.StatEncoder.KeyType INT_ARRAY

  - ### Method Detail

    - #### values

          public static StatsUtil.StatEncoder.KeyType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatsUtil.StatEncoder.KeyType c : StatsUtil.StatEncoder.KeyType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatsUtil.StatEncoder.KeyType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015–2018 Cloud Software Group, Inc.. All rights reserved.